# 32/64bit spec-file
#
%define name weechat
%define version 1.6
%define Werror_cflags %nil

Summary: Wee Enhanced Environment for Chat
Summary(de): Erweiterte Wee Umgebung für Chat
Name: %{name}
Version: %{version}
Release: %mkrel 4
Source0: http://www.weechat.org/files/src/%{name}-%{version}.tar.xz
Patch0: weechat-combined.patch
License: GPL
Group: Networking/IRC
Url: http://www.weechat.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
#----------------------------------------
BuildRequires: cmake
BuildRequires: ncurses-devel
BuildRequires: libncursesw-devel
BuildRequires: perl-devel
BuildRequires: python-devel
BuildRequires: ruby-devel
BuildRequires: aspell-devel
BuildRequires: gettext-devel
BuildRequires: libgnutls-devel
BuildRequires: libgtk+2-devel
BuildRequires: tcl-devel
BuildRequires:	lua5.2-devel
BuildRequires:	enchant-devel
#-------------------------------------
Obsoletes: %name-gtk

%description
WeeChat (Wee Enhanced Environment for Chat) is a free IRC client, fast and
light, designed for many operating systems.
 
Main features are: 
  - multi-servers connection
  - small, fast and light
  - customizable and extensible with scripts
  - compliant with RFCs 1459, 2810, 2811, 2812, and 2813
  - multi-platform (Gnu/Linux, *BSD, Windows and other)
  - 100% GPL, free software


%description -l de
WeeChat (Wee Enhanced Environment für Chat) ist ein freier IRC Client, schnell und leicht, für viele Betriebssysteme gemacht.

Die Hauptfunktionen sind:

    - mehrfache Serververbindungen
    - klein, schnell und leicht
    - flexibel und erweiterbar durch Skripte
    - Konform zu RFCs 1459, 2810, 2811, 2812, und 2813
    - mehrere Plattformen (Gnu/Linux, *BSD, Windows und andere)
    - 100% freie Software unter der GPL



%files -f build/%name.lang
%defattr(-,root,root)
%_bindir/%name
%_bindir/%name-curses
%dir %_prefix/lib*/%name
%dir %_prefix/lib*/%name/plugins
%_prefix/lib*/%name/plugins/alias.so
%_prefix/lib*/%name/plugins/fifo.so
%_prefix/lib*/%name/plugins/irc.so
%_prefix/lib*/%name/plugins/logger.so
%_prefix/lib*/%name/plugins/xfer.so
%_prefix/lib*/%name/plugins/relay.so
%_prefix/lib*/%name/plugins/script.so
%_prefix/lib*/%name/plugins/exec.so
%_prefix/lib*/%name/plugins/trigger.so
/usr/lib/weechat/plugins/javascript.so
%_datadir/icons/hicolor/32x32/apps/weechat.png

#--------------------------------------------------------------------

%package perl
Group: Networking/IRC
Summary: Weechat perl plugins
Summary(de): Weechat perl Erweiterungen
Requires: %name = %version

%description perl
This package allow weechat to use perl scripts

%description -l de perl
Dieses Paket erlaubt weechat perl Skripte zu verwenden

%files perl
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*perl*

#--------------------------------------------------------------------

%package python
Group: Networking/IRC
Summary: Weechat python plugins
Summary(de): Weechat python Erweiterungen
Requires: %name = %version
Requires: python >= 2.6.7

%description python
This package allow weechat to use python scripts

%description -l de python
Dieses Paket erlaubt weechat python Skripte zu verwenden.

%files python
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*python*

#--------------------------------------------------------------------

%package tcl
Group: Networking/IRC
Summary: Weechat tcl plugins
Summary(de): Weechat tcl Erweiterungen
Requires: %name = %version

%description tcl
This package allow weechat to use tcl scripts

%description -l de tcl
Dieses Paket erlaubt weechat tcl Skripte zu verwenden

%files tcl
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*tcl*

#--------------------------------------------------------------------

%package ruby
Group: Networking/IRC
Summary: Weechat ruby plugins
Summary(de): Weechat ruby Erweiterungen
Requires: %name = %version

%description ruby
This package allow weechat to use ruby scripts

%description -l de ruby
Dieses Paket erlaubt weechat ruby Skripte zu verwenden

%files ruby
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*ruby*

#--------------------------------------------------------------------

%package lua
Group: Networking/IRC
Summary: Weechat lua plugins
Summary(de): Weechat lua Erweiterungen
Requires: %name = %version

%description lua
This package allow weechat to use lua scripts

%description -l de lua
Dieses Paket erlaubt weechat lua Skripte zu verwenden

%files lua
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*lua*

#--------------------------------------------------------------------

%package charset
Group: Networking/IRC
Summary: Weechat charset plugins
Summary(de): Weechat Zeichensatz Erweiterungen
Requires: %name = %version

%description charset
This package allow weechat to use charset

%description -l de charset
Dieses Paket erlaubt weechat Zeichensätze zu verwenden

%files charset
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*charset*

#--------------------------------------------------------------------

%package aspell
Group: Networking/IRC
Summary: Weechat aspell plugins
Summary(de): Weechat Rechtschreibprüfungs Erweiterungen
Requires: %name = %version

%description aspell
This package allow weechat to use aspell

%description -l de aspell
Dieses Paket erlaubt weechat die Rechtschreibprüfung zu verwenden

%files aspell
%defattr(-,root,root)
%_prefix/lib*/%name/plugins/*aspell*

#--------------------------------------------------------------------

%package  devel
Summary:  Development files for weechat
Summary(de): Entwicklungs-Dateien von weechat
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
WeeChat (Wee Enhanced Environment for Chat) is a portable, fast, light and
extensible IRC client. Everything can be done with a keyboard.
It is customizable and extensible with scripts.

This package contains include files and pc file for weechat.

%description -l de devel
WeeChat (Wee Enhanced Environment für Chat) ist ein portabeler, schneller, leichter und erweiterbaren IRC-Client. Alles kann über die Tastatur erfolgen, er ist anpassbar und durch Skripte erweiterbar.

Dieses Paket enthält die dazugehörigen (include, pc) Dateien für weechat. 

%files devel
%defattr(-,root,root)
%_includedir/weechat
%{_libdir}/pkgconfig/weechat.pc

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export CXXFLAGS="-DV8_USE_UNSAFE_HANDLES=1"
export LDFLAGS="-ltinfo" 

%cmake \
  -DPREFIX=%{_prefix} \
  -DLIBDIR=%{_libdir} \
  -DENABLE_ENCHANT=ON \
  -DENABLE_MAN=ON \
  -DCA_FILE=/etc/pki/tls/certs/ca-bundle.crt \

%make

%install
rm -fr %buildroot
cd build
%makeinstall_std


%find_lang %name

%clean
rm -rf %buildroot


%changelog
* Sat Jun 30 2018 adrianomorselli <adrianomorselli> 1.6-4uplos2018
- rebuild against tcl/tk update
